Subject: Re: 23.0.94; kill-whole-line has no effect

From: Chong Yidong <[email-masked]>
Date: Sun, 28 Jun 2009 16:37:22 -0400

> I think kill-visual-line must behave exactly as kill-line, if the text
> line consists of just one visual line. Otherwise it's a regression.

The docstring of kill-whole-line does not mention kill-visual-line:

  If non-nil, `kill-line' with no arg at beg of line kills the whole
  line.

You could argue that this can be extended to kill-visual-line, as
follows:

  `kill-visual-line' with no arg at beg of visual line kills the whole
  visual line.

but that doesn't make much sense, because kill-visual-line *already*
consumes the entire visual line.  In the normal case, kill-line consumes
the additional newline character at the end of the line, but
word-wrapped lines have no additional newline character to consume.